org.keycloak.authentication

## Class ClientAuthenticationFlow

- java.lang.Object
- - org.keycloak.authentication.ClientAuthenticationFlow

- All Implemented Interfaces:
    AuthenticationFlow

      public class ClientAuthenticationFlow
      extends Object
      implements AuthenticationFlow

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ServicesLogger` | `logger`

    - ### Fields inherited from interface org.keycloak.authentication.AuthenticationFlow

      `BASIC_FLOW, CLIENT_FLOW, FORM_FLOW`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientAuthenticationFlow(AuthenticationProcessor processor, AuthenticationFlowModel flow)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected List<AuthenticationExecutionModel>` | `findExecutionsToRun()`
    `javax.ws.rs.core.Response` | `processAction(String actionExecution)`
    `javax.ws.rs.core.Response` | `processFlow()`
    `protected javax.ws.rs.core.Response` | `processResult(AuthenticationProcessor.Result result)`
    `javax.ws.rs.core.Response` | `sendChallenge(AuthenticationProcessor.Result result, AuthenticationExecutionModel execution)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final ServicesLogger logger

  - ### Constructor Detail

    - #### ClientAuthenticationFlow

          public ClientAuthenticationFlow(AuthenticationProcessor processor,
                                          AuthenticationFlowModel flow)

  - ### Method Detail

    - #### processAction

          public javax.ws.rs.core.Response processAction(String actionExecution)

      Specified by:
        `processAction` in interface `AuthenticationFlow`

    - #### processFlow

          public javax.ws.rs.core.Response processFlow()

      Specified by:
        `processFlow` in interface `AuthenticationFlow`

    - #### findExecutionsToRun

          protected List<AuthenticationExecutionModel> findExecutionsToRun()

    - #### processResult

          protected javax.ws.rs.core.Response processResult(AuthenticationProcessor.Result result)

    - #### sendChallenge

          public javax.ws.rs.core.Response sendChallenge(AuthenticationProcessor.Result result,
                                                         AuthenticationExecutionModel execution)

Copyright © 2016 JBoss by Red Hat. All rights reserved.